<?php

function travel_agency_booking_dynamic_css()
{
    wp_enqueue_style(
        'travel-agency-booking-style',
        get_stylesheet_uri(),
        array(),
        TRAVEL_AGENCY_BOOKING_VERSION
    );
    $site_title_color = get_theme_mod( 'site_title_color_option', '#000' );
    $site_title_size = get_theme_mod( 'site_title_size', '30' );
    $logo_size = absint( $site_title_size * 2 );
    $site_identity_font_family = get_theme_mod( 'site_identity_font_family', 'Montserrat' );
    $primary_color = '#22A6B3';
    $secondary_color = '#22B377';
    $light_color = '#fff';
    $dark_color = '#000';
    $text_color = '#757575';
    $font_family = esc_attr( get_theme_mod( 'font_family', 'Lora' ) );
    $font_size = esc_attr( get_theme_mod( 'font_size', '16px' ) );
    $body_font_weight = esc_attr( get_theme_mod( 'body_font_weight', 400 ) );
    $body_line_height = get_theme_mod( 'body_line_height', '1.5' );
    $heading_font_family = esc_attr( get_theme_mod( 'heading_font_family', 'Montserrat' ) );
    $dynamic_css = "\r\n        :root {\r\n                --primary-color: {$primary_color};\r\n                --secondary-color: {$secondary_color};\r\n                --text-color: {$text_color};\r\n                --light-color: {$light_color};\r\n                --dark-color: {$dark_color};\r\n        }\r\n                /* site title size */\r\n                .site-title a{ font-size: {$site_title_size}" . "px; font-family: {$site_identity_font_family}; color: {$site_title_color}; }\r\n                \r\n                header .custom-logo-link img{ height: {$logo_size}" . "px; }\r\n                \r\n                /* font family */\r\n                html,:root{ font-size: {$font_size};}\r\n\r\n                body{line-height: {$body_line_height}; font-family: {$font_family}; font-weight:{$body_font_weight}; }\r\n                h1,h2,h3,h4,h5,h6{ font-family: {$heading_font_family};}\r\n\r\n                /* Footer widget font Colors */\r\n                .site-footer .widget-title{font-family: {$font_family};}\r\n\r\n        ";
    wp_add_inline_style( 'travel-agency-booking-style', $dynamic_css );
}

add_action( 'wp_enqueue_scripts', 'travel_agency_booking_dynamic_css' );